/// @file
/// @author David Pilger <dpilger26@gmail.com>
/// [GitHub Repository](https://github.com/dpilger26/NumCpp)
///
/// License
/// Copyright 2018-2023 David Pilger
///
/// Permission is hereby granted, free of charge, to any person obtaining a copy of this
/// software and associated documentation files(the "Software"), to deal in the Software
/// without restriction, including without limitation the rights to use, copy, modify,
/// merge, publish, distribute, sublicense, and/or sell copies of the Software, and to
/// permit persons to whom the Software is furnished to do so, subject to the following
/// conditions :
///
/// The above copyright notice and this permission notice shall be included in all copies
/// or substantial portions of the Software.
///
/// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
/// INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
/// PURPOSE AND NONINFRINGEMENT.IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE
/// FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
/// OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
/// DEALINGS IN THE SOFTWARE.
///
/// Description
/// Module for doing linear algebra operations
///
#pragma once

#include "NumCpp/Linalg/cholesky.hpp"
#include "NumCpp/Linalg/det.hpp"
#include "NumCpp/Linalg/gaussNewtonNlls.hpp"
#include "NumCpp/Linalg/hat.hpp"
#include "NumCpp/Linalg/inv.hpp"
#include "NumCpp/Linalg/lstsq.hpp"
#include "NumCpp/Linalg/lu_decomposition.hpp"
#include "NumCpp/Linalg/matrix_power.hpp"
#include "NumCpp/Linalg/multi_dot.hpp"
#include "NumCpp/Linalg/pinv.hpp"
#include "NumCpp/Linalg/pivotLU_decomposition.hpp"
#include "NumCpp/Linalg/solve.hpp"
#include "NumCpp/Linalg/svd.hpp"
